Retrieves all territories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e02688e1-b9ea-4a3a-8c07-f392a381f090",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "0a383145-e43d-4081-bf1d-202eb93e9a67",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "43be3b15-c6fc-49c8-a34d-0c0d02d5e23d",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "8bdf826e-1e8d-4af6-8535-0c5a54531707",
    "db_currency_id": "81a9321b-b360-43d8-ab92-a952fd07e183",
    "db_language_id": "89c35f2c-c3a6-4ed1-ae1b-54a89e18306d",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-27T03:48:18.1543186+00:00"
  },
  "modified_dateutc": "2026-10-27T03:48:18.1543186+00:00"
}